Subject: Re: bug#16969: Isearch: lazy-highlight face sometimes has foreground and background the same colour.

From: Alan Mackenzie <[email-masked]>
Date: Sat, 8 Mar 2014 23:01:18 +0000

Hi, Juri.

On Sat, Mar 08, 2014 at 11:55:45PM +0200, Juri Linkov wrote:
> > An effective solution would be to give the `lazy-highlight' face a
> > foreground colour, e.g. black.

> It's useful to keep the foreground color to help seeing the context
> especially when a match is highlighted on a font-look foreground.

Yes.

> But the problem needs to be fixed anyway.  So maybe we could add the
> face attribute :distant-foreground to the `lazy-highlight' face
> that could be applied only when the background color is near to the
> foreground color like a cyan foreground on a cyan background.

I don't know what ":distant-foreground" means.  It doesn't seem to be in
the Elisp manual.

-- 
Alan Mackenzie (Nuremberg, Germany).